Bio::FastParsers::Hmmer::Standard(3)

NAME
Bio::FastParsers::Hmmer::Standard - Front-end class for standard HMMER parser

VERSION
version 0.221230

SYNOPSIS
    use aliased 'Bio::FastParsers::Hmmer::Standard';

    # open and parse hmmsearch output
    my $infile = 'test/hmmer.out';
    my $parser = Standard->new(file => $infile);
    say $parser->next_hit->fullseq_eval;

DESCRIPTION
    # TODO

ATTRIBUTES

  file
Path to HMMER report file in standard format (--notextw) to be parsed

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

CONTRIBUTOR
Arnaud DI FRANCO <arnaud.difranco@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.